/*
 * Copyright (C) 2000-2004 by ETH Zurich
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ETH ZURICH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ETH ZURICH
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.btnode.ethz.ch
 *
 */

/**
 * \file include/arch/unix/btn-hardware.h
 *
 * 14.06.2004 Martin Hinz <btnode@hinz.ch>
 * 
 * @brief platform dependent port connection for unix emulation
 *
 */

#define BT_RADIO_TYPE ERICSSON
//#define BT_RADIO_TYPE ZEEVO
//#define BT_RADIO_TYPE CSR

//define bt uart and app uart
#define APP_UART devUsartAvr1
#define APP_UART_NR 1
#define BT_UART devUsartAvr0
#define BT_UART_NR 0

#if (BT_RADIO_TYPE == ERICSSON)
// Initial speed for the uart
#define BT_UART_INITIAL_SPEED 57600
// Parity for the uart (0-None, 1-Odd, 2-Even)
#define BT_UART_INITIAL_PARITY 0
#define BT_UART_INITIAL_DATABITS 8
#define BT_UART_INITIAL_STOPBITS 1
// Flowcontrol to use (UART_HS_RTSCTS, UART_HS_MODEM & UART_HS_SOFT)
#define BT_UART_INITIAL_FLOWCONTROL UART_HS_RTSCTS

#else
// Initial speed for the uart
#define BT_UART_INITIAL_SPEED 115200
// Parity for the uart (0-None, 1-Odd, 2-Even)
#define BT_UART_INITIAL_PARITY 0
#define BT_UART_INITIAL_DATABITS 8
#define BT_UART_INITIAL_STOPBITS 1
// Flowcontrol to use (UART_HS_RTSCTS or 0 for none)
#define BT_UART_INITIAL_FLOWCONTROL UART_HS_RTSCTS

#endif





