/*
 * Copyright (C) 2000-2004 by ETH Zurich
 * Copyright (C) 2004 by Ole Reinhardt <ole.reinhardt@embedded-it.de>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ETH ZURICH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ETH ZURICH
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.btnode.ethz.ch
 * 
 * Author: Ole Reinhardt <ole.reinhardt@embedded-it.de>
 *
 * Some parts are taken from or inspired by the lwBT Bluetooth stack.
 * 
 * (lwBT author: Conny Ohult <conny@sm.luth.se>)
 * Copyright (c) 2003 EISLAB, Lulea University of Technology.)
 */

/** 
  * @file bt_crc.h
  * 
  * \author Ole Reinhardt <ole.reinhardt@embedded-it.de>
  *
  * @brief header file to bt/bt_crc.c
  *
  * Implementation of some CRC routines used for framecheck purpose in 
  * the RFCOMM protocol layer.
  */

#ifndef __BT_CRC_H__
#define __BT_CRC_H__


//#define BT_CRC_INCLUDE_CRC16

u_char crc8_check(u_char *data, u_short len, u_char check_sum);
u_char crc8_calc(u_char *data, u_short len);
#ifdef BT_CRC_INCLUDE_CRC16
u_char crc16_check(u_char *data, u_short len);
u_short crc16_calc(u_char *data, u_short len);
#endif
#endif
